/* 
 * Fade an LED using very fast flickering
 */

const byte led = 13;

void setup() {
  pinMode(led, OUTPUT);
}

// to fade an LED, you vary the rate how fast it's flickering
void loop() {
  
  // start at "off" for 20 ms decrease to an "off" of 0 for full brightness
  for (int offTime=20; offTime>=0; offTime--) {
    /* repeat < (40/offTime) to make each offTime level take about the same
     * amount of time. Faster flickers need to cycle more for smoothness */
    for (int repeat=0; repeat< (40 / offTime); repeat++) {
      digitalWrite(led, HIGH);
      delay(1);
      digitalWrite(led, LOW);
      delay(offTime);
    }
  }
  
  // and now increase from offTime = 0 to offTime 20 for a fading light
  for (int offTime=0; offTime<20; offTime++) {
    for (int repeat=0; repeat< (40 / offTime); repeat++) {
      digitalWrite(led, HIGH);
      delay(1);
      digitalWrite(led, LOW);
      delay(offTime);
    }
  }
}

// Try changing the "40/offTime" to "20/offTime" to change the fade speed

// Need help? http://www.letsstartcoding.com/help

// (c) 2016 Let's Start Coding. License: www.letsstartcoding.com/bsdlicense
