/*
 * Use a button to add 10 second increments to a timer. Press the 'Go' button
 * to start the timer. To stop the timer alarm, press both buttons at once.
 */

byte pressCount = 0; //Each button press increases timer by secondsPerPress
const byte speaker = A5; //variable for speaker pin
const byte led = A0; //variable for LED pin

void setup() {
  pinMode(12, INPUT_PULLUP); //Go! button
  pinMode(4, INPUT_PULLUP); //add time button
  pinMode(led, OUTPUT); 
  pinMode(speaker, OUTPUT);
}

void loop() {

  //Setting up the timer by pressing A5 for every 10 seconds to add
  if (digitalRead(4) == LOW) {
    digitalWrite(led, HIGH);
    pressCount++;
    delay(250); //Holding button for more than 1/4 second will count twice
    digitalWrite(led, LOW);
  }

  //if 'start' button pressed, flash how many 10 second increments and
  //start the countdown with one blink per second of countdown
  if (digitalRead(12) == LOW) {
    for (int i = 0; i < pressCount; i++) {
      digitalWrite(led, HIGH);
      tone(speaker, 650);
      delay(250);
      noTone(speaker);
      digitalWrite(led, LOW);
      delay(250);
    }

    const int secondsPerPress = 10; //10 second increase in timer per press
    unsigned long timer = (secondsPerPress * pressCount);

    //Count down the timer one second at a time until it hits 0
    while (timer > 0) {
      digitalWrite(led, HIGH);
      delay(500);
      digitalWrite(led, LOW);
      delay(500);
      timer--;
    }

    //When time is up, play alarm until both buttons pressed
    while (digitalRead(4) && digitalRead(12) != LOW) {
      tone(speaker, 650);
      delay(100);
      noTone(speaker);
      delay(100);
      tone(speaker, 950);
      delay(100);
      noTone(speaker);
      delay(100);
    }
    pressCount = 0; //Reset button presses for next timer
    delay(500);
  }
}

// Try to convert this entire program to use only millis. The alarm check
// will work like: if millis-timerVariable > alarmTime, ring alarm.

// Need help? http://www.letsstartcoding.com/help

// (c) 2016 Let's Start Coding. License: www.letsstartcoding.com/bsdlicense
