/*
 * Play a tone on a speaker attached to pin A5 and light an LED on
 * pin 2 when buttons attached to pins 4,6,9,12 are pressed.
 */

const byte led = 2; //set LED pin
const byte speaker = A5; //set speaker pin

void setup() {
  pinMode(speaker, OUTPUT); //speaker
  pinMode(led, OUTPUT); //set the LED as an OUTPUT

  //initialize the buttons as inputs:
  pinMode(4,INPUT_PULLUP);
  pinMode(6,INPUT_PULLUP);
  pinMode(9,INPUT_PULLUP);
  pinMode(12, INPUT_PULLUP);
}

void loop() {
  //if a button is pressed, play the tone (in hertz) and light up the LED.
  if (digitalRead(4) == LOW) {
    tone(speaker, 250);
    digitalWrite(led, HIGH);
  }
  else if (digitalRead(6) == LOW) {
    tone(speaker, 350);
    digitalWrite(led, HIGH);
  }
  else if (digitalRead(9) == LOW) {
    tone(speaker, 450);
    digitalWrite(led, HIGH);
  }
  else if (digitalRead(12) == LOW) {
    tone(speaker, 550);
    digitalWrite(led, HIGH);
  }
  else {
    noTone(speaker);
    digitalWrite(led, LOW);
  }
}

// Make your lowest hertz value into a variable and then make the other
// tones a multiple of the variable like: toneValue * 3 or toneValue *.5

// Need help? http://www.letsstartcoding.com/help

// (c) 2016 Let's Start Coding. License: www.letsstartcoding.com/bsdlicense
