/*
 * Use LEDs and a software clock to blink out the current hour and minutes
 * when you press a button
 */

//Set the time here. Set it 5 seconds ahead to account for upload time!
byte hour = 9;
byte minute = 42;
byte second = 05;

unsigned long timer = millis();

//Function to check the time.
//Call it by typing getTime(); any time you want updated time in your code
void getTime() {

  //Make 'second' equal only to a whole number
  second = second + ((millis() - timer) / 1000);
  //Add remainder of the second to next check
  timer = timer + (((millis() - timer) / 1000) * 1000);

  if (second >= 60) {
    minute++;
    second = 0;
  }
  if (minute >= 60) {
    hour++;
    minute = 0;
  }
  if (hour > 12) { //delete this 'if' to use 24 hour time style.
    hour = 1;
  }
}

//Function blinks a light given the pin number and which variable to blink
void blinkTime(byte _pin, byte _time) {
  for (int i = 0; i < _time; i++) {
    int wait = 200;   //time between blinks in milliseconds
    digitalWrite(_pin, HIGH);
    delay(wait);
    digitalWrite(_pin, LOW);
    delay(wait);
  }
}

void setup () {
  pinMode(13, OUTPUT); //Hours LED
  pinMode(8, OUTPUT); //Minutes' 10s place LED
  pinMode(4, OUTPUT); //Minutes' 1s place LED

  pinMode(A5, INPUT_PULLUP); //Button to check time
}

void loop() {
  getTime();
  //If 'check time' button is pressed, run the blinkTime function for 
  if (digitalRead(A5) == LOW) { 
    blinkTime(13,(hour));
    delay(400);
    blinkTime(8,(minute / 10)); //blink 10s digit of minutes
    delay(400);
    blinkTime(4,(minute % 10)); //blink the 1s digit of minutes
  }
}

// Using an 'if' statement and boolean &&, try to create an alarm 
// for a certain hour and minute

// Try to convert this to a clock that beeps tones for the time!

// Need help? http://www.letsstartcoding.com/help

// (c) 2016 Let's Start Coding. License: www.letsstartcoding.com/bsdlicense
