/*
 * Test your reaction speed. Press the button for the 3-tone start sequence.
 * When you hear the third tone, press the button again for your reaction.
 * Open the serial monitor to see your time!
 */

bool timeToGo = false;
bool startCountdown = false;

void setup() {
  pinMode(13, OUTPUT);//LEDs
  pinMode(12, OUTPUT);
  pinMode(11, OUTPUT);

  pinMode(A5, OUTPUT); //Speaker
  pinMode(2, INPUT_PULLUP);//Button to start & track reaction

  Serial.begin(9600);//Read the reaction time to serial
  Serial.println("Test your reaction to the third beep!");
}

void loop() {
  //Run the lights and sounds for the build up...
  if (digitalRead(2) == LOW && startCountdown == false) {
    digitalWrite(13, HIGH);
    Serial.println("Ready...");
    tone(A5, 350);
    delay(500);
    digitalWrite(13, LOW);
    digitalWrite(12, HIGH);
    Serial.println("Set...");
    tone(A5, 550);
    delay(500);
    digitalWrite(12, LOW);
    digitalWrite(11, HIGH);
    tone(A5, 750);
    Serial.println("Go!");

    if (digitalRead(2) == HIGH) { //button must be released before reaction
      timeToGo = true;

    } else {
      Serial.println("Too early!");
      timeToGo = false;
    }
  }

  unsigned long timer = millis(); //timer measuring the reaction time

  while (timeToGo == true) {
    if (digitalRead(2) == LOW) {
      int reaction = millis() - timer; //time passed since timer var created
      tone(A5, 450);
      Serial.print("Reaction time: ");
      Serial.print(reaction);
      Serial.println(" milliseconds");
      delay(250);
      noTone(A5);
      timeToGo = false; //reset for the next round
    }
  }
}

// Try to create a printout using if statements and Serial.println that
// prints "Nice job!" if a reaction time is below a certain threshold.

// Need help? http://www.letsstartcoding.com/help

// (c) 2016 Let's Start Coding. License: www.letsstartcoding.com/bsdlicense
