/*Note: This code will not compile or run! It's only here to show you how
 * to work with the library
 */
/*
 * Illustrates the usage of all functions in the LEDStrip library,
 * with necessary arguments
 * 
 *The mix of the colors and their values from 0-300 is shown on the graph:
 *
 *   |b   r    g    b
 *   |\   /\   /\   /
 *   | \ /  \ /  \ /
 *   |  X    X    X
 *   | / \  / \  / \
 *   |/___\/___\/___\__
 *   0    100  200  300
 * Each color has a line that zig-zags from low brightness
 * The color value of 150 is an equal mix between red & green
 * The color value of 100 is pure red
 */

#include "LEDStrip.h"

const byte numPixels = 15; //number of pixels on a strip

/*
 * Make the LED strip object LEDStrip strip
 *  = LEDStrip(numPixels, dataPin, clockPin);
 */
LEDStrip strip = LEDStrip(numPixels, dataPin, clockPin);

void setup() {
}

void loop() {
  
  strip.clear(); //Turn all LEDs off

  /*
   * Set a pixel to the given color. The brightness will remain
   * at the level it was previously (the default of 50% if you
   * have not altered the level)
   */
  strip.setPixel(pixel, color);

  /*
   * Set a pixel to the given color and brightness. You can
   * set the brightness to the start-up level using 
   * strip.defaultBrightness
   */
  strip.setPixel(pixel, color, brightness);

  /*
   * Set all pixel to the given color. Their brightnesses will 
   * remain at the level they were previously (the default of 50%
   * if you have not altered their levels)
   */
  strip.setPixel(ALL, color);

    /*
   * Set all pixels to the given color and brightness. You can
   * set the brightness to the start-up level using 
   * strip.defaultBrightness
   */
  strip.setPixel(ALL, color, brightness);

  strip.draw(); //Display the pixels

}

// Need help? http://www.letsstartcoding.com/help

//(c) 2016 Let's Start Coding. License: www.letsstartcoding.com/bsdlicense
