/*
 *Shows the use of the all() function to illuminate all pixels on  
 *  the LED strip at once
 *  
 *  
 *The mix of the colors and their values from 0-300 is shown on the graph:
 *
 *   |b   r    g    b
 *   |\   /\   /\   /
 *   | \ /  \ /  \ /
 *   |  X    X    X
 *   | / \  / \  / \
 *   |/___\/___\/___\__
 *   0    100  200  300
 * Each color has a line that zig-zags from low brightness
 * The color value of 150 is an equal mix between red & green
 * The color value of 100 is pure red
 */

#include "LEDStrip.h"

/*
 * Make the LED strip object LEDStrip strip
 *  = LEDStrip(numPixels, dataPin (DI), clockPin(CI));
 */
LEDStrip strip = LEDStrip(15, 13, 12);


void setup() {
}

void loop() {

  //Set all pixels to the color value 200. Colors range from 0-300
  strip.setPixel(strip.ALL,200); 

  strip.draw(); //Draw the .setPixel values to the strip
}

// Need help? http://www.letsstartcoding.com/help

// (c) 2016 Let's Start Coding. License: www.letsstartcoding.com/bsdlicense

