/*
 * Tune a multicolor LED's colors with buttons
 * The analogWrite() function works on digital pins 3,5,6,9,10,11.
 */

int brightness; //holds the brightness of the outputs. Range is 0-255

//function that takes in the pin number and changes brightness on that pin
void changeBrightness(int _pin){//'pass in' a pin number to the function
  brightness++; //increase the brightness variable by one
  analogWrite(_pin,brightness); //write 'brightness' to the pin you passed in.
  if(brightness == 255){ //reset brightness to 0 if it reaches max (255)
     brightness = 0;
  }
}

void setup(){
  //Set all LEDS to output
  pinMode(9,OUTPUT);
  pinMode(10,OUTPUT);
  pinMode(11,OUTPUT);
  
  //one button per LED color
  pinMode(A5, INPUT_PULLUP); 
  pinMode(A1, INPUT_PULLUP); 
  pinMode(2, INPUT_PULLUP);
}
void loop(){
  /* 
   * When a button is held down, pass the corresponding LED pin number
   * to the function over and over again
   */
  if(digitalRead(A5) == LOW){
     changeBrightness(9); //pass the LED pin number to the function 
     }    
     
  	else if(digitalRead(A1) == LOW){ 
    	 changeBrightness(10);
    } 
    
  	else if(digitalRead(2) == LOW){ 
     	changeBrightness(11);
    }
    
  delay(10); //Speed of fade while button is LOW. Longer delay = slower fade
}

// Add a 'reset' button that turns all of the LED brightnesses to 0

// Need help? http://www.letsstartcoding.com/help

// (c) 2016 Let's Start Coding. License: www.letsstartcoding.com/bsdlicense
