/*
 * An LED strip gauge for the light sensor. The darker it is, the 
 * more pixels are illuminated.
 */
 
//Include the LED_Strip library to use the commands
//Don't have the library? Visit http://letsstartcoding.com/libraries
#include "LEDStrip.h"

const byte numPixels = 15; //number of pixels on a strip

//Make an LED strip object: LEDStrip(numPixels,dataPin(DO),clockPin(CO))
LEDStrip strip = LEDStrip(numPixels,13,12);

void setup() {
  pinMode(A2,INPUT_PULLUP); //Light sensor pin
}

void loop() {
  //Read the sensor on the analog port:
  const int lightValue = analogRead(A2);
  
  //Map the light values of 50 to 950 onto the LED strip
  const int pixel = map(lightValue,50,950,0,numPixels);
  
  strip.clear(); //Make the strip blank after every reading
  
  //Pixel will have a value between 0 and numPixels
  //Turn on each pixel up to that number
  for (int i = 0; i < pixel;i++){
    strip.setPixel(i, 10); //Colors range 0-300, 10 is purple
  }

  strip.draw(); //Tell the strip to display the .setPixel commands
}

//Change the color in setPixel to be 10 times a variable value

// Need help? http://www.letsstartcoding.com/help

// (c) 2016 Let's Start Coding. License: www.letsstartcoding.com/bsdlicense

