/*
 * Display temperature as three different colors and 3 temp thresholds
 */
 
void setup() {
  //Check the temp sensor pinout, getting it backwards ruins it
  pinMode(A3,INPUT); //Center pin of temp sensor to A3

  //LED pins
  pinMode(9,OUTPUT);
  pinMode(10,OUTPUT);
  pinMode(11,OUTPUT);
}

void loop() {
  /*
   * Conversion constants 0.88 and -58 turn the analog reading 
   *  to Farenheit. Cast the analogRead(A3) as a float
   */
  const int tempF = int(0.88*float(analogRead(A3)) - 58.0);

  //Temp less than 70 degrees is 'cool'
  if (tempF < 70){ //Write first LED HIGH, others LOW
    digitalWrite(11,HIGH);
    digitalWrite(10,LOW);
    digitalWrite(9,LOW);
  }

  //Temp less than 75, but above 70 is comfortable
  else if (tempF < 75){ //Write second LED HIGH, others LOW
    digitalWrite(11,LOW);
    digitalWrite(10,HIGH);
    digitalWrite(9,LOW);
  }

  //Temp greater than 75 degrees is 'warm'
  else{ //Write last LED HIGH, others LOW
    digitalWrite(11,LOW);
    digitalWrite(10,LOW);
    digitalWrite(9,HIGH);
  } 
}

//Try to edit the else if block so that all LED colors turn on for one
//specific temperature

//Need help? http://www.letsstartcoding.com/help

// (c) 2016 Let's Start Coding. License: www.letsstartcoding.com/bsdlicense
