/*
 * Light triggered nightlight you can turn off with a clap. Bright
 * light resets the cycle.
 */

//State = 0 when waiting for light change, 1 when waiting for noise
byte state = 0;
 
void setup() {

  pinMode(A4,INPUT);//Center pin of sound trigger
  
  pinMode(A2,INPUT_PULLUP); //Light sensor  

  pinMode(6,OUTPUT); //LED

}

void loop() {
  //Read the light sensor
  int lightValue = analogRead(A2);

  //Read the microphone 
  int soundValue = analogRead(A4);

  //state == 0 is the default state, awaiting darkness
  if (state == 0){
    digitalWrite(6,LOW); //When state is 0, LED off
  }
  
  //If dark enough and the LED is off (&& means both must be true)
  if ((lightValue > 400)&&(state == 0)){
    digitalWrite(6,HIGH); //Turn on LED
    state = 1; //Now the nightlight is awaiting a clap
  }

  //If there's a clap, and the room is dark
  else if ((soundValue > 600)&&(state == 1)){
    digitalWrite(6,LOW); //Turn off LED    
    delay(100);
  }

  //If bright enough, the nightlight always resets & waits for night
  if (lightValue < 100){ //Play with this level so natural light resets it
    state = 0; //Reset state
  }

}

//Try to require two claps to turn off the light (if state = 2)

//Hint: You'll need another 'else if'

//Need help? http://www.letsstartcoding.com/help

// (c) 2016 Let's Start Coding. License: www.letsstartcoding.com/bsdlicense

